> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get POS Unit

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/unit/{unitId}

Returns a single POS Unit by its SystemId.
Includes profile-derived fields like payment method codes from the Self Service Profile,
and the computed `digitalReceiptEnabled` flag.

Reference: https://docs.navipartner.com/apis/api-reference/pos/unit/get-pos-unit

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `unitId` (UUID, required)

## Response

### 200

- `id` (UUID, required)
- `code` (string, required)
- `name` (string, required)
- `posStoreCode` (string, required) — The code of the POS Store that the unit is associated with.
- `digitalReceiptEnabled` (boolean, optional) — Whether digital receipts can be issued for this unit. Requires digital receipts to be enabled on both the unit's POS Receipt Profile and the global Digital Receipt Setup.
- `selfserviceProfile` (SelfserviceProfile, optional) — Self-service configuration from the unit's Self Service Profile. Only present when the unit has a profile assigned.

## Types

### SelfserviceProfile

Self-service configuration resolved from the unit's Self Service Profile. Extensible with additional profile fields in the future.

- `qrCardPaymentMethod` (string, optional) — Default POS payment method code for QR code card payments
- `selfserviceCardPaymentMethod` (string, optional) — POS payment method code for selfservice EFT terminal payments
- `selfserviceCardEftIntegrationType` (string, optional) — EFT Integration Type of the selfservice card payment method, for example ADYEN_CLOUD. Only present when that payment method has processing type EFT and an EFT Setup exists for it.
- `kioskModeUnlockPin` (string, optional) — PIN code required to unlock kiosk mode on the POS unit

## Examples

**Response**

```json
{
  "id": "0a7e39b2-ec7b-4bbf-9914-1fa01b17657b",
  "code": "0101",
  "name": "Copenhagen POS 1",
  "posStoreCode": "01",
  "digitalReceiptEnabled": false
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/unit/0a7e39b2-ec7b-4bbf-9914-1fa01b17657b")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```